__gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >(3)

NAME
__gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare > - Unguarded loser tree, keeping only pointers to the elements in the tree structure.

SYNOPSIS

Inherited by __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >, and __gnu_parallel::_LoserTreePointerUnguarded< false, _Tp, _Compare >.

  Public Member Functions
_LoserTreePointerUnguardedBase (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
int __get_min_source ()
void __insert_start (const _Tp &__key, int __source, bool)

  Protected Attributes
_Compare _M_comp
unsigned int _M_ik
unsigned int _M_k
_Loser * _M_losers
unsigned int _M_offset

Detailed Description

  template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >" Unguarded loser tree, keeping only pointers to the elements in the tree structure. No guarding is done, therefore not a single input sequence must run empty. This is a very fast variant.

Definition at line 828 of file losertree.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.